package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;
import org.xml.sax.*;

public class QMAccessListProperty extends QGBase implements QGBaseIntf {

    public String text;


    public QMAccessListProperty(String text) {
        this.text = text;
    }

    public String toString() {
        return(text);
    }

    public void cvt()
	throws SAXException
    {
	addStringAttribute("name",text);
	addStringAttribute("kind","list");
	startElement("property");
	endElement("property");
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element listProperty");
        pw.println(indent + "text = " + text);
    }

}
